### Method

# AppStream ContentRating get_value

since: 0.11.0

#### Declaration [src]

    AsContentRatingValue
    as_content_rating_get_value (
      AsContentRating* content_rating,
      const gchar* id
    )

#### Description [src]

Gets the value of a content rating key.

Available since: 0.11.0

#### Parameters

`id`

  Type: `const gchar*`

  A ratings ID, e.g. `violence-bloodshed`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsContentRatingValue`

The `AsContentRatingValue`, or `AS_CONTENT_RATING_VALUE_UNKNOWN`.